Package org.apache.sysds.runtime.controlprogram.federated.monitoring.services

## Class StatisticsService

- java.lang.Object
- - org.apache.sysds.runtime.controlprogram.federated.monitoring.services.StatisticsService

    public class StatisticsService
    extends Object

### Constructor Summary

Constructors
`StatisticsService()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`StatisticsModel` `getAll​(Long workerId, StatisticsOptions options)`
`static StatisticsModel` `getWorkerStatistics​(Long id, String address)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### StatisticsService

    public StatisticsService()

### Method Detail

#### getAll

    public StatisticsModel getAll​(Long workerId,
                                  StatisticsOptions options)

#### getWorkerStatistics

    public static StatisticsModel getWorkerStatistics​(Long id,
                                                      String address)